aboutsummaryrefslogtreecommitdiffstats
path: root/www
diff options
context:
space:
mode:
authortrevor <trevor@FreeBSD.org>2004-11-29 07:38:43 +0800
committertrevor <trevor@FreeBSD.org>2004-11-29 07:38:43 +0800
commit76f277777ca6fd3a938f154d473ef6a306cb5911 (patch)
tree31c4783e81730bf7cdaa2fdb8617a754ea98a181 /www
parent76cbfed1e88710b28d93d233225e5713e9e3a245 (diff)
downloadfreebsd-ports-gnome-76f277777ca6fd3a938f154d473ef6a306cb5911.tar.gz
freebsd-ports-gnome-76f277777ca6fd3a938f154d473ef6a306cb5911.tar.zst
freebsd-ports-gnome-76f277777ca6fd3a938f154d473ef6a306cb5911.zip
I removed this file by mistake.
Diffstat (limited to 'www')
-rw-r--r--www/linux-mozilla/scripts/configure47
1 files changed, 47 insertions, 0 deletions
diff --git a/www/linux-mozilla/scripts/configure b/www/linux-mozilla/scripts/configure
new file mode 100644
index 000000000000..1b48693e7ba8
--- /dev/null
+++ b/www/linux-mozilla/scripts/configure
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+echo ${WRKSRC}/components.conf
+if [ -f ${WRKSRC}/components.conf ]; then
+ exit
+fi
+
+tempfile=`/usr/bin/mktemp -t checklist`
+
+echo "browser deflenus langenus psm regus xpcom" > /tmp/checklist.tmp.$$;
+
+/usr/bin/dialog --title "Mozilla component selection" --clear \
+ --checklist "\n\
+Choose which components of Mozilla to download and install. \n\
+Press the space bar to toggle selections." -1 -1 6 \
+"chatzilla" "IRC client (160 kB)" ON \
+"inspector" "DOM inspector (124 kB)" ON \
+"mail" "mail and news client (1904 kB)" ON \
+"spellcheck" "Spelling checker for mail and news (304 kB)" ON \
+"venkman" "JavaScript debugger (224 kB)" ON \
+2>> /tmp/checklist.tmp.$$
+
+retval=$?
+
+case $retval in
+ 1) echo "Cancel pressed."
+ exit 1
+ ;;
+esac
+
+choice=`cat /tmp/checklist.tmp.$$`
+rm -f /tmp/checklist.tmp.$$
+
+echo "$choice"
+echo "$choice" \
+ | sed -e "s/\"//g" \
+ | sort -u \
+ | sed -e "s/ /.xpi /g" \
+ | sed -e "s/$/.xpi/g" \
+ | perl -pi -e "s/ /\n/g" \
+ > ${WRKSRC}/components.conf
+
+echo "* Your choices are saved. You must run the \"make\" command again to"
+echo "* complete the build. Ignore the \"Error code 1\" below."
+exit 1